Ignore:
Timestamp:
Sep 13, 2009, 7:37:14 AM (11 years ago)
Author:
and.damore@…
Message:

drupal5 and drupal6 update, added conflicts between postgresql and mysql variants

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/www/drupal6/Portfile

    r49565 r57560  
    44
    55name                drupal6
    6 version             6.10
     6version             6.13
    77categories          www php
    88platforms           darwin
     
    1919master_sites        http://ftp.drupal.org/files/projects/ \
    2020                    http://ftp.osuosl.org/pub/drupal/files/projects/
    21 checksums           md5     d8f222c260556b5d7c3ff41bdd251b3c \
    22                     sha1    fcdaa4f1eb10678a11e888c70aeeb0b9c84da6c6 \
    23                     rmd160  5ebc65ceea59633fd0cd348d3bf420edf9b4c8ff
     21checksums           md5     76dcb6e311fbb98ca3322fd1413f4a04 \
     22                    sha1    ac4df01933267261021cc13ea48dea5e9946529b \
     23                    rmd160  5e08333266cff012c766eac8c62f1c9468d8bb89
    2424depends_lib         port:apache2 \
    2525                    port:php5 \
     
    4141}
    4242
    43 variant postgresql description "use postgresql as the drupal database" {
     43variant postgresql conflicts mysql4 requires postgresql84 description "use postgresql as the drupal database" {
     44}
     45
     46variant postgresql80 conflicts mysql4 description "use postgres80 as the drupal database" {
     47  depends_lib-append      port:postgresql80
     48  depends_lib-delete      port:mysql5
     49}
     50
     51variant postgresql81 conflicts mysql4 description "use postgressql81 as the drupal database" {
     52  depends_lib-append      port:postgresql81
     53  depends_lib-delete      port:mysql5
     54}
     55
     56variant postgresql82 conflicts mysql4 description "use postgresql82 as the drupal database" {
     57  depends_lib-append      port:postgresql82
     58  depends_lib-delete      port:mysql5
     59}
     60
     61variant postgresql83 conflicts mysql4 description "use postgresql83 as the drupal database" {
    4462  depends_lib-append      port:postgresql83
    4563  depends_lib-delete      port:mysql5
    4664}
    4765
    48 variant postgresql80 description "use postgres80 as the drupal database" {
    49   depends_lib-append      port:postgresql80
    50   depends_lib-delete      port:mysql5
    51 }
    52 
    53 variant postgresql81 description "use postgressql81 as the drupal database" {
    54   depends_lib-append      port:postgresql81
    55   depends_lib-delete      port:mysql5
    56 }
    57 
    58 variant postgresql82 description "use postgresql82 as the drupal database" {
    59   depends_lib-append      port:postgresql82
    60   depends_lib-delete      port:mysql5
    61 }
    62 
    63 variant postgresql83 description "use postgresql83 as the drupal database" {
    64   depends_lib-append      port:postgresql83
     66variant postgresql84 conflicts mysql4 description "use postgresql84 as the drupal database" {
     67  depends_lib-append      port:postgresql84
    6568  depends_lib-delete      port:mysql5
    6669}
Note: See TracChangeset for help on using the changeset viewer.